#ifndef UMORNA_GAME
#define UMORNA_GAME

#define CHAD_TRAIT_LIMIT  ( 3)
#define CHAD_SKILL_LIMIT  (24)
#define CHAD_VALUE_LIMIT  (10)
#define CHAD_EFFECT_LIMIT ( 3)
#define CHAD_MIGHT_LIMIT  ( 1)
#define CHAD_MAGIC_LIMIT  ( 1)
#define CHAD_RACE_LIMIT   ( 3)
#define CHAD_ITEM_LIMIT   ( 3)
#define CHAD_UNIT_LIMIT   (54)
#define CHAD_HERO_LIMIT   ( 1)
#define CHAD_BLOCK_LIMIT  (28)
#define CHAD_MODEL_LIMIT  (72)
#define CHAD_WORLD_LIMIT  ( 1)

#define CHAD_WORLD_MODEL  (120)
#define CHAD_WORLD_WIDTH  (120)
#define CHAD_WORLD_HEIGHT (100)

#define CHAD_WORLD_SIZE (CHAD_WORLD_WIDTH * CHAD_WORLD_HEIGHT)

#include <xolatile/chads.h>

enum {
	strength,           dexterity,          wisdom
};

enum {
	swords,             axes,               maces,              staves,             bows,               crossbows,          slings,             shields,
	armour,             alchemy,            medicine,           mercantile,         farmer,             miner,              lumber,             traps,
	water_magic,        earth_magic,        wind_magic,         black_magic,        rune_magic,         summon_magic,       ritual_magic,       charm_magic
};

enum {
	coin,               food,               wood,               stone,              iron,               gold,               silver,             coal,
	gems,               mana
};

enum {
	gain_minor_strength, gain_major_strength, gain_great_strength
};

enum {
	might
};

enum {
	magic
};

enum {
	orc,                human,              elf
};

enum {
	iron_mace,          iron_sword,         iron_axe
};

enum {
	gnoll,              gnoll_shaman,       goblin,             hob_goblin,         thief,              looter,             warrior,            shaman,
	chief,              wolf_rider,         boar_rider,         overlord,           ogre,               ogre_mage,          troll,              war_troll,
	basilisk,           wyvern,             peasant,            scout,              hunter,             swordman,           axeman,             crossbowman,
	horseman,           guard,              elite_guard,        lancer,             knight,             kingsman,           mage,               arch_mage,
	giant,              war_giant,          griffin,            roc,                sprite,             nature_spirit,      half_elf,           ranger,
	archer,             elite_archer,       blademaster,        water_mage,         earth_mage,         wind_mage,          rune_mage,          runemaster,
	sacrificer,         elk_rider,          warmaster,          coal_golem,         iron_golem,         sage
};

extern void game_configure (void);

#endif
