#ifndef UMORNA_MENU
#define UMORNA_MENU

#include "game.h"

#define MENU_LIMIT     (24)
#define MINIMENU_LIMIT (24)

enum {
	menu_traits,        menu_skills,        menu_values,        menu_resources
};

extern int menu_count;

extern int menu_items [MENU_LIMIT];
extern int menu_show  [MENU_LIMIT];
extern int menu_alpha [MENU_LIMIT];

extern char  * menu_text   [MENU_LIMIT] [MINIMENU_LIMIT];
extern int     menu_icon   [MENU_LIMIT] [MINIMENU_LIMIT];
extern void (* menu_action [MENU_LIMIT] [MINIMENU_LIMIT]) (void);

extern void menu_configure (void);

#endif
