#ifndef UMORNA_ENGINE
#define UMORNA_ENGINE

#include "game.h"
#include "menu.h"
#include "render.h"

extern int camera_x;
extern int camera_y;

extern void view_unit (int race, int unit, int x, int y);

extern void view_menu (int menu, int align, int x, int y);

extern void view_hud (int alpha, int width, int height, int x, int y);

extern void view_neon_menu (int menu, int align, int x, int y);

extern void view_map (int offset_x, int offset_y);

extern void view_base_1 (int index, int x, int y);
extern void view_base_2 (int index, int x, int y);

extern void view_side_hud (void);

#endif
