#ifndef UMORNA_RENDER
#define UMORNA_RENDER

#include <stdlib.h>
#include <raylib.h>

#define BASE_SIZE ( 16)
#define ICON_SIZE ( 32)
#define FONT_SIZE ( 24)
#define SIDE_SIZE (480)

enum {
	neonui,
	ui,                 traits,             skills,             values,             orcs,               humans,             elves,              ashlands,
	base_1,             base_2,
	render_texture_count
};

extern float render_zoom;

extern int render_width  (void);
extern int render_height (void);

extern void render_sprite (int    sprite, int x, int y, int u, int v, int width, int height);
extern void render_string (char * string, int x, int y);

extern void render_configure (void);

#endif
